truncate table wml_load_tables;

insert into wml_load_tables (wml_table_ref,table_name,entity_name,id_column_name,needs_entity_map,
  needs_rg_reap,needs_traf,needs_truncate,needs_instance,needs_trace,needs_last_seen,needs_change_event,find_instance_func,instance_lookup_func)
select w.table_name,w.table_name,e.entity_name,u.column_name,'Y','Y','Y','N','N','N','N','N','wm_Find_Instance.Find_Instance',NULL
from wmd_dict_table w, user_ind_columns u, wmn_entity e
where w.table_name like '%TF%TAB'
and e.entity_id = w.entity_id
and w.table_name = u.table_name
and index_name like 'PK%'
and column_position = 1
and w.table_name in(select table_name from user_tab_columns where column_name = 'TSTAMP');

insert into wml_load_tables (wml_table_ref,table_name,entity_name,id_column_name,needs_entity_map,
  needs_rg_reap,needs_traf,needs_truncate,needs_instance,needs_trace,needs_last_seen,needs_change_event,find_instance_func,instance_lookup_func)
select w.table_name,w.table_name,f.entity_name,u.column_name,'N','N','N','N','N','N','N','N','wm_Find_Instance.Find_Instance',NULL
from user_tables w, user_ind_columns u, wm_file_control f
where w.table_name like '%_ST_%TAB'
and w.table_name not like '%CDL_%TAB'
and w.table_name not like '%CDF_%TAB'
and w.table_name not like '%CFG_%TAB'
and upper(substr(w.table_name,5,length(w.table_name)-11)) = upper(f.file_type)
and w.table_name = u.table_name
and index_name like 'PK%'
and column_position = 1
and w.table_name in(select table_name from user_tab_columns where column_name = 'TSTAMP');
commit;

exec wml_load.create_entity_map; 
exec wml_load.create_temp_tables; 
exec wml_load.create_rg_reap; 
exit
