--
--
-- COPYRIGHT IBM Corp 2008
--
-- Create the loader temporary tables used by jloader
--
-- author: eliasa
--
-- date: 30Oct08
--

--For OMCR_PM loader
DROP TABLE OMCRPM_52_TMP CASCADE CONSTRAINTS;

EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','52',0);


--For Config_PM loader
CREATE GLOBAL TEMPORARY TABLE MOT_PM_MAP_BTS_BAND_TMP
(
  SYSTEM_ID      NUMBER(10),
  MSC_ID         NUMBER(10),
  BSC_ID         NUMBER(10),
  BTS_ID         NUMBER(10),
  CARRIER_INDEX  NUMBER(10),
  LOW_SECTOR_BANDCLASS  NUMBER(10),
  HIGH_SECTOR_BANDCLASS NUMBER(10)
)
ON COMMIT PRESERVE ROWS;

CREATE UNIQUE INDEX PK_MOT_PM_MAP_BTS_BAND_TMP ON MOT_PM_MAP_BTS_BAND_TMP
(SYSTEM_ID, MSC_ID, BSC_ID, BTS_ID, CARRIER_INDEX);


ALTER TABLE MOT_PM_MAP_BTS_BAND_TMP ADD (
  CONSTRAINT PK_MOT_PM_MAP_BTS_BAND_TMP PRIMARY KEY (SYSTEM_ID, MSC_ID, BSC_ID, BTS_ID, CARRIER_INDEX));

EXIT;