--
--
-- COPYRIGHT Vallent Corp 2005-2006
--
-- Create the loader temporary tables used by jloader
--
-- author: yeohe
--
-- date: 30Oct06
--

-- These next tables have to be created manually, 
-- A brief description explains why this table creation script have to be explicitly written here

-- PMC63_PC29 is the BSC LocationArea ID and is not actually a peg but part of the fullkey
-- RP4.1:Additional peg PC30-41
CREATE GLOBAL TEMPORARY TABLE OMCRPM_63_TMP
(
  RECORD_DATE     VARCHAR2(20 BYTE),
  START_INTERVAL  VARCHAR2(20 BYTE),
  END_INTERVAL    VARCHAR2(20 BYTE),
  OMC_ID          NUMBER(10),
  MM_ID           NUMBER(10),
  SUBJ_ID_1       NUMBER(10),
  SUBJ_ID_2       NUMBER(10),
  PMC63_PC1       NUMBER(10),
  PMC63_PC2       NUMBER(10),
  PMC63_PC3       NUMBER(10),
  PMC63_PC4       NUMBER(10),
  PMC63_PC5       NUMBER(10),
  PMC63_PC6       NUMBER(10),
  PMC63_PC7       NUMBER(10),
  PMC63_PC8       NUMBER(10),
  PMC63_PC9       NUMBER(10),
  PMC63_PC10      NUMBER(10),
  PMC63_PC11      NUMBER(10),
  PMC63_PC12      NUMBER(10),
  PMC63_PC13      NUMBER(10),
  PMC63_PC14      NUMBER(10),
  PMC63_PC15      NUMBER(10),
  PMC63_PC16      NUMBER(10),
  PMC63_PC17      NUMBER(10),
  PMC63_PC18      NUMBER(10),
  PMC63_PC19      NUMBER(10),
  PMC63_PC20      NUMBER(10),
  PMC63_PC21      NUMBER(10),
  PMC63_PC22      NUMBER(10),
  PMC63_PC23      NUMBER(10),
  PMC63_PC24      NUMBER(10),
  PMC63_PC25      NUMBER(10),
  PMC63_PC26      NUMBER(10),
  PMC63_PC27      NUMBER(10),
  PMC63_PC28      NUMBER(10),
  PMC63_PC29      NUMBER(10),  
  PMC63_PC30      NUMBER(10),  
  PMC63_PC31      NUMBER(10),  
  PMC63_PC32      NUMBER(10),  
  PMC63_PC33      NUMBER(10),  
  PMC63_PC34      NUMBER(10),  
  PMC63_PC35      NUMBER(10),  
  PMC63_PC36      NUMBER(10),  
  PMC63_PC37      NUMBER(10),  
  PMC63_PC38      NUMBER(10),  
  PMC63_PC39      NUMBER(10),  
  PMC63_PC40      NUMBER(10),  
  PMC63_PC41      NUMBER(10)  
)
ON COMMIT PRESERVE ROWS;

-- PMC65 is not a direct 1 to 1 mapping 
CREATE GLOBAL TEMPORARY TABLE OMCRPM_65_TMP(
RECORD_DATE     VARCHAR2(20),
START_INTERVAL  VARCHAR2(20),
END_INTERVAL    VARCHAR2(20),
OMC_ID    	  NUMBER(10),
MM_ID		  NUMBER(10),
SUBJ_ID_1	  NUMBER(10),
SUBJ_ID_2	  NUMBER(10),
SUBJ_ID_3	  NUMBER(10),
SUBJ_ID_4	  NUMBER(10),
SUBJ_ID_5	  NUMBER(10),
SUBJ_ID_6	  NUMBER(10),
PMC65_PC1	  FLOAT,
PMC65_PC2	  FLOAT,
PMC65_PC3	  FLOAT,
PMC65_PC4	  FLOAT,
PMC65_PC5	  FLOAT,
PMC65_PC6	  FLOAT,
PMC65_PC7	  FLOAT,
PMC65_PC8	  FLOAT,
PMC65_PC9	  FLOAT,
PMC65_PC10	  FLOAT,
PMC65_PC11	  FLOAT
) ON COMMIT PRESERVE ROWS;

-- Not all PMC81 columns conform to the format PMC81_PCx format 
CREATE GLOBAL TEMPORARY TABLE OMCRPM_81_TMP
(
  RECORD_DATE     VARCHAR2(20),
  START_INTERVAL  VARCHAR2(20),
  END_INTERVAL    VARCHAR2(20),
  OMC_ID          NUMBER(10),
  MM_ID           NUMBER(10),
  SUBJ_ID_1       NUMBER(10),
  PMC81_PC1       NUMBER(10),
  PMC81_PC2       NUMBER(10),
  PMC81_PC3       NUMBER(10),
  PMC81_PC4       NUMBER(10)
)
ON COMMIT PRESERVE ROWS;

-- All PMC170 columns do not conform to the format PMC170_PCx format 

CREATE GLOBAL TEMPORARY TABLE OMCRPM_170_TMP
(
  RECORD_DATE     VARCHAR2(20),
  START_INTERVAL  VARCHAR2(20),
  END_INTERVAL    VARCHAR2(20),
  OMC_ID          NUMBER(10),
  MM_ID           NUMBER(10),
  SUBJ_ID_1       NUMBER(10),
  SUBJ_ID_2       NUMBER(10),
  SUBJ_ID_3       NUMBER(10),
  PMC170_PC1      NUMBER(10),
  PMC170_PC2      NUMBER(10),
  PMC170_PC3      NUMBER(10)
)
ON COMMIT PRESERVE ROWS;

-- RP4.1:There are column names for PMC121 do not conform to the format PMC121_PCx format e.g. PMC121_PC2A 

CREATE GLOBAL TEMPORARY TABLE OMCRPM_121_TMP
(
  RECORD_DATE     VARCHAR2(20),
  START_INTERVAL  VARCHAR2(20),
  END_INTERVAL    VARCHAR2(20),
  OMC_ID          NUMBER(10),
  MM_ID           NUMBER(10),
  SUBJ_ID_1       NUMBER(10),
  SUBJ_ID_2       NUMBER(10),
  SUBJ_ID_3       NUMBER(10),
  SUBJ_ID_4       NUMBER(10),
  SUBJ_ID_5       NUMBER(10),
  SUBJ_ID_6       NUMBER(10),
  SUBJ_ID_7       NUMBER(10),
  PMC121_PC1      NUMBER(10),
  PMC121_PC2      NUMBER(10),
  PMC121_PC3      NUMBER(10),
  PMC121_PC4      NUMBER(10),
  PMC121_PC5      NUMBER(10),
  PMC121_PC6      NUMBER(10),
  PMC121_PC7      NUMBER(10),
  PMC121_PC8      NUMBER(10),
  PMC121_PC9      NUMBER(10),
  PMC121_PC10     NUMBER(10),
  PMC121_PC11     NUMBER(10),
  PMC121_PC12     NUMBER(10),
  PMC121_PC13     NUMBER(10),
  PMC121_PC14     NUMBER(10),
  PMC121_PC15     NUMBER(10),
  PMC121_PC16     NUMBER(10),
  PMC121_PC17     NUMBER(10),
  PMC121_PC18     NUMBER(10),
  PMC121_PC19     NUMBER(10),
  PMC121_PC20     NUMBER(10),
  PMC121_PC21     NUMBER(10),
  PMC121_PC22     NUMBER(10),
  PMC121_PC23     NUMBER(10),
  PMC121_PC24     NUMBER(10),
  PMC121_PC25     NUMBER(10),
  PMC121_PC26     NUMBER(10),
  PMC121_PC27     NUMBER(10),
  PMC121_PC28     NUMBER(10)
)
ON COMMIT PRESERVE ROWS;

-- Some pegs for PMC152 have appeared in different traffic tables of a different type
CREATE GLOBAL TEMPORARY TABLE OMCRPM_152_TMP
(
  RECORD_DATE     VARCHAR2(20),
  START_INTERVAL  VARCHAR2(20),
  END_INTERVAL    VARCHAR2(20),
  OMC_ID          NUMBER(10),
  MM_ID           NUMBER(10),
  SUBJ_ID_1       NUMBER(10),
  PMC152_PC1      NUMBER(10),
  PMC152_PC2      NUMBER(10),
  PMC152_PC3      FLOAT(126),
  PMC152_PC4      NUMBER(10),
  PMC152_PC5      NUMBER(10),
  PMC152_PC6      NUMBER(10),
  PMC152_PC7      NUMBER(10),
  PMC152_PC8  	  FLOAT,  
  PMC152_PC9	  FLOAT,
  PMC152_PC10	  FLOAT          
)
ON COMMIT PRESERVE ROWS;

-- Create JLOADER_BANDCLASS_TMP for use with PMC81_PC3_4 derived peg
CREATE GLOBAL TEMPORARY TABLE JLOADER_BANDCLASS_TMP
(
  ID               VARCHAR2(255 BYTE)           NOT NULL,
  TSTAMP           DATE                         NOT NULL,
  BANDCLASSNUMBER  VARCHAR2(32 BYTE)
)
ON COMMIT PRESERVE ROWS;


CREATE UNIQUE INDEX PK_JLOADER_BANDCLASS_TMP ON JLOADER_BANDCLASS_TMP
(ID, TSTAMP);


ALTER TABLE JLOADER_BANDCLASS_TMP ADD (
  CONSTRAINT PK_JLOADER_BANDCLASS_TMP PRIMARY KEY (ID, TSTAMP));

---------------------------
--------- OMCR_PM ---------
---------------------------
-- The following record types (2nd parameter) will have its respective OMCRPM_*_TMP table created
-- automatically using a generic procedure. The 3rd parameter is the number of subj_ids
-- which can be obtained from the vendor doc. 

EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','1',3);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','2',2);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','4',1);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','5',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','6',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','7',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','8',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','9',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','10',7);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','11',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','12',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','13',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','14',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','15',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','16',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','17',2);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','18',2);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','20',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','21',7);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','22',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','25',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','26',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','27',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','29',5);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','40',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','41',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','42',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','43',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','44',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','45',3);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','46',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','47',5);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','48',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','50',0);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','51',1);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','52',0);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','53',1);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','54',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','55',1);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','56',0);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','57',1);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','58',0);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','61',2);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','62',3);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','64',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','70',1);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','71',1);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','72',1);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','73',2);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','74',1);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','75',1);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','76',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','77',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','82',2);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','83',3);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','84',1);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','86',2);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','88',1);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','89',1);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','116',3);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','117',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','118',2);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','119',3);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','120',2);
-- EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','121',7);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','122',2);
-- SEAde65801
-- EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','171',7);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','172',3);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','173',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','200',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','201',5);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','202',5);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','204',4);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','205',1);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','207',3);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','211',3);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','212',3);
EXEC MOT_JLOADER_COMMON.CREATE_TEMP_TABLE ('OMCRPM','213',5);
