--
--
-- COPYRIGHT Vallent Corp 2005-2006
--
-- Create MOT_JLOADER_COMMON package, consisting of procedures/functions used by multiple loaders
--
-- author: yeohe
--
-- date: 30Oct06

CREATE OR REPLACE PACKAGE MOT_JLOADER_COMMON AS

   c_SUCCESS              CONSTANT INTEGER DEFAULT 0;
   c_FAIL                 CONSTANT INTEGER DEFAULT 1;
   c_FATAL                CONSTANT INTEGER DEFAULT 2;

   NO_DATA_LOADED EXCEPTION;
   PRAGMA EXCEPTION_INIT( NO_DATA_LOADED, -20000 );
   c_NO_DATA_LOADED_MSG CONSTANT VARCHAR2(150) DEFAULT 'Zero Data';   

  FUNCTION Get_Long_WML_Table (p_traffic_tab IN VARCHAR2) RETURN VARCHAR2;
   
  PROCEDURE CREATE_TEMP_TABLE (DATA_TYPE IN VARCHAR2, RECORD_TYPE IN VARCHAR2, NUM_OF_SUBJ_IDS IN INTEGER);  
   
  PROCEDURE WRITE_POSTLOAD_MERGE_STRINGS (p_record_type IN VARCHAR2, p_table_name IN VARCHAR2, p_select_param_list OUT VARCHAR2, p_update_list OUT VARCHAR2,p_insert_param_list OUT VARCHAR2,p_insert_value_list OUT VARCHAR2);    

  PROCEDURE Get_Range_Qry(TABLE_NAME IN VARCHAR2,QRY_TAB_NAME IN VARCHAR2, NUM_OF_SUBJ_IDS IN INTEGER, FULLKEY_COLS IN VARCHAR2, p_system_id IN INTEGER, p_msc_id IN INTEGER, p_bsc_id IN INTEGER,
  			p_mindate OUT VARCHAR2, p_maxdate OUT VARCHAR2, p_minkey OUT VARCHAR2, p_maxkey OUT VARCHAR2, p_omcr_id OUT VARCHAR2, p_input_row_count OUT INTEGER);
  
  PROCEDURE Get_Range_Carr(TABLE_NAME IN VARCHAR2,CARR_MAP_TAB IN VARCHAR2, FULLKEY_COLS IN VARCHAR2, p_system_id IN INTEGER, p_msc_id IN INTEGER, p_bsc_id IN INTEGER,
  			p_mindate OUT VARCHAR2, p_maxdate OUT VARCHAR2, p_minkey OUT VARCHAR2, p_maxkey OUT VARCHAR2, p_omcr_id OUT VARCHAR2, p_input_row_count OUT INTEGER);
			
  PROCEDURE Get_Range(TABLE_NAME IN VARCHAR2,FULLKEY_COLS IN VARCHAR2, p_system_id IN INTEGER, p_msc_id IN INTEGER, p_bsc_id IN INTEGER,
  			p_mindate OUT VARCHAR2, p_maxdate OUT VARCHAR2, p_minkey OUT VARCHAR2, p_maxkey OUT VARCHAR2, p_omcr_id OUT VARCHAR2, p_input_row_count OUT INTEGER);
			  
  PROCEDURE Get_Bin_Range(TABLE_NAME IN VARCHAR2,FULLKEY_COLS IN VARCHAR2, p_system_id IN INTEGER, p_msc_id IN INTEGER, p_bsc_id IN INTEGER,
  			p_mindate OUT VARCHAR2, p_maxdate OUT VARCHAR2, p_minkey OUT VARCHAR2, p_maxkey OUT VARCHAR2, p_omcr_id OUT VARCHAR2, p_input_row_count OUT INTEGER);

  PROCEDURE Get_Range_BSC(TABLE_NAME IN VARCHAR2,BSC_MAP_TAB IN VARCHAR2, FULLKEY_COLS IN VARCHAR2, p_system_id IN INTEGER, 
  			p_mindate OUT VARCHAR2, p_maxdate OUT VARCHAR2, p_minkey OUT VARCHAR2, p_maxkey OUT VARCHAR2, p_omcr_id OUT VARCHAR2, p_input_row_count OUT INTEGER);

  PROCEDURE Get_Range_OMCR(TABLE_NAME IN VARCHAR2,FULLKEY_COLS IN VARCHAR2, p_system_id IN INTEGER, 
  			p_mindate OUT VARCHAR2, p_maxdate OUT VARCHAR2, p_minkey OUT VARCHAR2, p_maxkey OUT VARCHAR2, p_omcr_id OUT VARCHAR2, p_input_row_count OUT INTEGER);
			
  FUNCTION Get_CarrMapTab (p_system_id IN INTEGER, p_bsc_id IN INTEGER, p_omcr_num IN INTEGER) RETURN VARCHAR2;			
 PROCEDURE update_bts_band_tmp (P_SYSTEM_ID IN INTEGER, P_MSC_ID IN INTEGER, P_BSC_ID IN INTEGER, P_CARR_MAP_TAB IN VARCHAR2);


END MOT_JLOADER_COMMON;
/
show errors;
