--
-- restore_part_maint.sql
-- 
-- This script must be run each time dict_update is run for 
-- MotoCDMA or MotoEVDO modules
--

BEGIN

   run_sql('delete from subclass_map '
   ||      ' where OBJECT_ID in '
   ||     '(select part_table_id from part_tables '
   ||     '  where table_name like ''MOT_TF_C_PM%_TAB'' '
   ||     '     or table_name like ''MOT_TF_C_SAR%_TAB'' '
   ||     '     or table_name like ''MOT_TF_DO%_TAB'' '
   ||     '     or table_name like ''MOT_TF_AEMS%_TAB'')');

   run_sql('insert into subclass_map '
   ||      '   (subclass_id,object_id) '
   ||      '   (select id,part_table_id '
   ||      '      from subclass_table st, part_tables pt '
   ||      '     where st.name=''CDMA1x_PM'' '
   ||      '       and pt.table_name like ''MOT_TF_C_PM%_TAB'')');

   run_sql('insert into subclass_map '
   ||      '   (subclass_id,object_id) '
   ||      '   (select id,part_table_id '
   ||      '      from subclass_table st, part_tables pt '
   ||      '     where st.name=''OMCR_SAR'' '
   ||      '       and pt.table_name like ''MOT_TF_C_SAR%_TAB'')');

   run_sql('insert into subclass_map '
   ||      '   (subclass_id,object_id) '
   ||      '   (select id,part_table_id '
   ||      '      from subclass_table st, part_tables pt '
   ||      '     where st.name=''aemsC_Rollup'' '
   ||      '       and pt.table_name like ''MOT_TF_AEMS%_TAB'')');

   run_sql('insert into subclass_map '
   ||      '   (subclass_id,object_id) '
   ||      '   (select id,part_table_id '
   ||      '      from subclass_table st, part_tables pt '
   ||      '     where st.name=''EVDO_PM'' '
   ||      '       and pt.table_name like ''MOT_TF_DO_PM%_TAB'')');

   run_sql('insert into subclass_map '
   ||      '   (subclass_id,object_id) '
   ||      '   (select id,part_table_id '
   ||      '      from subclass_table st, part_tables pt '
   ||      '     where st.name=''Aggr_EVDOCDL'' '
   ||      '       and pt.table_name like ''MOT_TF_DO_CDL%_TAB'')');

END;
/
