
prompt SQLs to determine if there are locks that could cause ORA-04021 and ORA-00054 errors 

prompt The following SQL checks for ORA-04021 error. It lists the waiting session and holding session SID
prompt The user can either wait for session to free the object or kill the session using
prompt Alter system kill session '<SID>,<serial#>' 
prompt We suggest you work with the Prospect Support team to resolve the issue before proceeding

prompt The object that is locked can be found using 
prompt select to_name from v$object_dependency where to_address='<address returned in SQL below>'

prompt If the SQL output indicates there are locks, then in addition to the steps above,
prompt you may want to set aq_tm_processes=0 and job_queue_processes=0 using the following commands
prompt alter system set aq_tm_processes=0 
prompt alter system set job_queue_processes=0. 
prompt This prevents QMON from obtaining locks on dbms_aq and dbms_aqadm packages


prompt ===========================================================
prompt Do NOT RUN THE Prospect UPGRADE TILL ALL the SQLs return zero rows
prompt ============================================================

select /*+ ordered */ w1.sid  waiting_session,
	h1.sid  holding_session,
	w.kgllktype lock_or_pin,
        w.kgllkhdl address,
	decode(h.kgllkmod,  0, 'None', 1, 'Null', 2, 'Share', 3, 'Exclusive',
	   'Unknown') mode_held, 
	decode(w.kgllkreq,  0, 'None', 1, 'Null', 2, 'Share', 3, 'Exclusive',
	   'Unknown') mode_requested
  from dba_kgllock w, dba_kgllock h, v$session w1, v$session h1
 where
  (((h.kgllkmod != 0) and (h.kgllkmod != 1)
     and ((h.kgllkreq = 0) or (h.kgllkreq = 1)))
   and
     (((w.kgllkmod = 0) or (w.kgllkmod= 1))
     and ((w.kgllkreq != 0) and (w.kgllkreq != 1))))
  and  w.kgllktype	 =  h.kgllktype
  and  w.kgllkhdl	 =  h.kgllkhdl
  and  w.kgllkuse     =   w1.saddr
  and  h.kgllkuse     =   h1.saddr
/



prompt -===========================================================================================
prompt The SQL below helps determine the SID,Serial# for sessions holding the locks.This is helpful
prompt  for ORA-00054 error
prompt -============================================================================================

set lines 130 pages 999
col object_name form a40
col sid         form a15
col oracle_user  form a15
col lock_type    form a15
col holding_session form a15
col wanting_session form a15
SELECT o.object_name,
       v.session_id||','||s.serial# sid,
       v.oracle_username,
       decode(l.type,'TM', 'DML enqueue (TM)', 'TX', 'Transaction enqueue (TX)', 'UL', 'User supplied (UL)', l.type) lock_type,
       decode(l.lmode,0,'None',1,'Null',2,'Row Share',3,'Row Excl.',4,'Share',5,'S/Row Excl.',6,'Exclusive',to_char(l.lmode,'990')) holding_session,
decode(l.request,0,'None',1,'Null',2,'Row Share',3,'Row Excl.',4,'Share',5,'S/Row Excl.',6,'Exclusive',to_char(l.request, '990')) wanting_session,
       s.terminal,
       s.machine, v.process unix_pid
FROM sys.v_$locked_object v,
     sys.v_$lock l,
     sys.dba_objects o,
     sys.v_$session s
WHERE l.sid = v.session_id
AND   s.sid = v.session_id
AND   v.object_id = o.object_id
/

