#!/bin/ksh

#> This script is additional before the installation begin.
#
########################################################
INSTALLER_DIR=`pwd`

#The following is to prevent RP4.1 installation throw error
cd $PROSPECT_HOME/scripts
if ! [[ -f export_docs.sh ]];
   then
     touch export_docs.sh
fi

if ! [[ -f import_docs.sh ]];
   then
     touch import_docs.sh
fi

#The following is run due to there is an issue installing RP4.1 on top of RP4.0 FI
echo "+Ensuring the existence of mot_aems_cxxx.dat"
cd $PROSPECT_HOME/../ftpIN/MotoEVDO/aemsC/stage
if ! [[ -f mot_aems_cxxx.dat ]];
   then
     echo "create mot_aems_cxxx.dat"
     touch mot_aems_cxxx.dat
fi

# These files was copied due to it being used by RP4.1 installer at $NE_BASE
echo "+Ensuring the existence of insertmap and entityorder"
cd $NE_BASE
if ! [[ -f insertmap.sql ]];
   then
     cp $MotoEVDO_HOME/post-vendor/insertmap.sql .
     chmod +x insertmap.sql 
fi

if ! [[ -f entityorder.sql ]];
   then
     cp $MotoEVDO_HOME/post-vendor/entityorder.sql .
     chmod +x entityorder.sql
fi

cd $INSTALLER_DIR
echo ""
date +"Pre-wminstall completed at %T, %D ....."
